weka.classifiers.rules

## Class JRip.NumericAntd

- java.lang.Object
- - weka.classifiers.rules.JRip.Antd
  - - weka.classifiers.rules.JRip.NumericAntd

- All Implemented Interfaces:
    java.io.Serializable, Copyable, RevisionHandler, WeightedInstancesHandler
  Enclosing class:
    JRip

      public class JRip.NumericAntd
      extends JRip.Antd

  The antecedent with numeric attribute
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRip.NumericAntd(Attribute a)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `copy()` Implements Copyable
    `boolean` | `covers(Instance inst)` Whether the instance is covered by this antecedent
    `java.lang.String` | `getRevision()` Returns the revision string.
    `double` | `getSplitPoint()` Get split point of this numeric antecedent
    `Instances[]` | `splitData(Instances insts, double defAcRt, double cl)` Implements the splitData function.
    `java.lang.String` | `toString()` Prints this antecedent

    - ### Methods inherited from class weka.classifiers.rules.JRip.Antd

      `getAccu, getAccuRate, getAttr, getAttrValue, getCover, getMaxInfoGain`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JRip.NumericAntd

          public JRip.NumericAntd(Attribute a)

      Constructor

  - ### Method Detail

    - #### getSplitPoint

          public double getSplitPoint()

      Get split point of this numeric antecedent
      Returns:
        the split point of this numeric antecedent

    - #### copy

          public java.lang.Object copy()

      Implements Copyable
      Specified by:
        `copy` in interface `Copyable`
      Specified by:
        `copy` in class `JRip.Antd`
      Returns:
        a copy of this object

    - #### splitData

          public Instances[] splitData(Instances insts,
                              double defAcRt,
                              double cl)

      Implements the splitData function. This procedure is to split the data into two bags according to the information gain of the numeric attribute value The maximum infoGain is also calculated.
      Specified by:
        `splitData` in class `JRip.Antd`
      Parameters:
        `insts` - the data to be split
        `defAcRt` - the default accuracy rate for data
        `cl` - the class label to be predicted
      Returns:
        the array of data after split

    - #### covers

          public boolean covers(Instance inst)

      Whether the instance is covered by this antecedent
      Specified by:
        `covers` in class `JRip.Antd`
      Parameters:
        `inst` - the instance in question
      Returns:
        the boolean value indicating whether the instance is covered by this antecedent

    - #### toString

          public java.lang.String toString()

      Prints this antecedent
      Specified by:
        `toString` in class `JRip.Antd`
      Returns:
        a textual description of this antecedent

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Overrides:
        `getRevision` in class `JRip.Antd`
      Returns:
        the revision